declare const __APP_INFO__: {
  pkg: {
    name: string;
    version: string;
    dependencies: Recordable<string>;
    devDependencies: Recordable<string>;
  };
  platform: string;
  buildTime: string;
  serviceMode: 'saas' | 'paas';
};

declare const __APP_ROUTER__: string;

declare type Nullable<T> = T | null;

declare type Recordable<T = any> = Record<string, T>;

declare interface Props {
  [key: string]: any;
}
declare type VueNode = VNodeChild | JSX.Element;

declare type Data = Record<string, unknown>;

declare type Key = string | number;
